Generation Framework

## org.eclipse.gmf.codegen.gmfgen.util
Class GMFGenAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.gmf.codegen.gmfgen.util.GMFGenAdapterFactory

All Implemented Interfaces:
  AdapterFactory

Direct Known Subclasses:
  GMFGenItemProviderAdapterFactory

public class GMFGenAdapterFactory
extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `GMFGenPackage`
** Generated **

Field Summary
`protected static GMFGenPackage` `modelPackage` The cached model package
`protected GMFGenSwitch` `modelSwitch` The switch the delegates to the `createXXX` methods

Constructor Summary
`GMFGenAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createAttributesAdapter()` Creates a new adapter for an object of class '`Attributes`'
`Adapter` `createBatchValidationAdapter()` Creates a new adapter for an object of class '`Batch Validation`'
`Adapter` `createColorAttributesAdapter()` Creates a new adapter for an object of class '`Color Attributes`'
`Adapter` `createCompositeFeatureLabelModelFacetAdapter()` Creates a new adapter for an object of class '`Composite Feature Label Model Facet`'
`Adapter` `createCompositeFeatureModelFacetAdapter()` Creates a new adapter for an object of class '`Composite Feature Model Facet`'
`Adapter` `createDefaultSizeAttributesAdapter()` Creates a new adapter for an object of class '`Default Size Attributes`'
`Adapter` `createDesignLabelModelFacetAdapter()` Creates a new adapter for an object of class '`Design Label Model Facet`'
`Adapter` `createEditorCandiesAdapter()` Creates a new adapter for an object of class '`Editor Candies`'
`Adapter` `createEditPartCandiesAdapter()` Creates a new adapter for an object of class '`Edit Part Candies`'
`Adapter` `createElementTypeAdapter()` Creates a new adapter for an object of class '`Element Type`'
`Adapter` `createEntryBaseAdapter()` Creates a new adapter for an object of class '`Entry Base`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createFeatureLabelModelFacetAdapter()` Creates a new adapter for an object of class '`Feature Label Model Facet`'
`Adapter` `createFeatureLinkModelFacetAdapter()` Creates a new adapter for an object of class '`Feature Link Model Facet`'
`Adapter` `createFeatureModelFacetAdapter()` Creates a new adapter for an object of class '`Feature Model Facet`'
`Adapter` `createFigureViewmapAdapter()` Creates a new adapter for an object of class '`Figure Viewmap`'
`Adapter` `createGenAuditableAdapter()` Creates a new adapter for an object of class '`Gen Auditable`'
`Adapter` `createGenAuditContainerAdapter()` Creates a new adapter for an object of class '`Gen Audit Container`'
`Adapter` `createGenAuditedMetricTargetAdapter()` Creates a new adapter for an object of class '`Gen Audited Metric Target`'
`Adapter` `createGenAuditRuleAdapter()` Creates a new adapter for an object of class '`Gen Audit Rule`'
`Adapter` `createGenChildContainerAdapter()` Creates a new adapter for an object of class '`Gen Child Container`'
`Adapter` `createGenChildLabelNodeAdapter()` Creates a new adapter for an object of class '`Gen Child Label Node`'
`Adapter` `createGenChildNodeAdapter()` Creates a new adapter for an object of class '`Gen Child Node`'
`Adapter` `createGenCommonBaseAdapter()` Creates a new adapter for an object of class '`Gen Common Base`'
`Adapter` `createGenCompartmentAdapter()` Creates a new adapter for an object of class '`Gen Compartment`'
`Adapter` `createGenConstraintAdapter()` Creates a new adapter for an object of class '`Gen Constraint`'
`Adapter` `createGenContainerBaseAdapter()` Creates a new adapter for an object of class '`Gen Container Base`'
`Adapter` `createGenDiagramAdapter()` Creates a new adapter for an object of class '`Gen Diagram`'
`Adapter` `createGenDiagramElementTargetAdapter()` Creates a new adapter for an object of class '`Gen Diagram Element Target`'
`Adapter` `createGenDomainAttributeTargetAdapter()` Creates a new adapter for an object of class '`Gen Domain Attribute Target`'
`Adapter` `createGenDomainElementTargetAdapter()` Creates a new adapter for an object of class '`Gen Domain Element Target`'
`Adapter` `createGenEditorGeneratorAdapter()` Creates a new adapter for an object of class '`Gen Editor Generator`'
`Adapter` `createGenEditorViewAdapter()` Creates a new adapter for an object of class '`Gen Editor View`'
`Adapter` `createGenElementInitializerAdapter()` Creates a new adapter for an object of class '`Gen Element Initializer`'
`Adapter` `createGenExpressionInterpreterAdapter()` Creates a new adapter for an object of class '`Gen Expression Interpreter`'
`Adapter` `createGenExpressionProviderBaseAdapter()` Creates a new adapter for an object of class '`Gen Expression Provider Base`'
`Adapter` `createGenExpressionProviderContainerAdapter()` Creates a new adapter for an object of class '`Gen Expression Provider Container`'
`Adapter` `createGenExternalNodeLabelAdapter()` Creates a new adapter for an object of class '`Gen External Node Label`'
`Adapter` `createGenFeatureSeqInitializerAdapter()` Creates a new adapter for an object of class '`Gen Feature Seq Initializer`'
`Adapter` `createGenFeatureValueSpecAdapter()` Creates a new adapter for an object of class '`Gen Feature Value Spec`'
`Adapter` `createGenJavaExpressionProviderAdapter()` Creates a new adapter for an object of class '`Gen Java Expression Provider`'
`Adapter` `createGenLabelAdapter()` Creates a new adapter for an object of class '`Gen Label`'
`Adapter` `createGenLinkAdapter()` Creates a new adapter for an object of class '`Gen Link`'
`Adapter` `createGenLinkConstraintsAdapter()` Creates a new adapter for an object of class '`Gen Link Constraints`'
`Adapter` `createGenLinkLabelAdapter()` Creates a new adapter for an object of class '`Gen Link Label`'
`Adapter` `createGenMeasurableAdapter()` Creates a new adapter for an object of class '`Gen Measurable`'
`Adapter` `createGenMetricContainerAdapter()` Creates a new adapter for an object of class '`Gen Metric Container`'
`Adapter` `createGenMetricRuleAdapter()` Creates a new adapter for an object of class '`Gen Metric Rule`'
`Adapter` `createGenNodeAdapter()` Creates a new adapter for an object of class '`Gen Node`'
`Adapter` `createGenNodeLabelAdapter()` Creates a new adapter for an object of class '`Gen Node Label`'
`Adapter` `createGenNotationElementTargetAdapter()` Creates a new adapter for an object of class '`Gen Notation Element Target`'
`Adapter` `createGenPluginAdapter()` Creates a new adapter for an object of class '`Gen Plugin`'
`Adapter` `createGenRuleBaseAdapter()` Creates a new adapter for an object of class '`Gen Rule Base`'
`Adapter` `createGenRuleContainerBaseAdapter()` Creates a new adapter for an object of class '`Gen Rule Container Base`'
`Adapter` `createGenRuleTargetAdapter()` Creates a new adapter for an object of class '`Gen Rule Target`'
`Adapter` `createGenTopLevelNodeAdapter()` Creates a new adapter for an object of class '`Gen Top Level Node`'
`Adapter` `createInnerClassViewmapAdapter()` Creates a new adapter for an object of class '`Inner Class Viewmap`'
`Adapter` `createLabelModelFacetAdapter()` Creates a new adapter for an object of class '`Label Model Facet`'
`Adapter` `createLabelOffsetAttributesAdapter()` Creates a new adapter for an object of class '`Label Offset Attributes`'
`Adapter` `createLinkConstraintsAdapter()` Creates a new adapter for an object of class '`Link Constraints`'
`Adapter` `createLinkModelFacetAdapter()` Creates a new adapter for an object of class '`Link Model Facet`'
`Adapter` `createMeasurementUnitAdapter()` Creates a new adapter for an object of class '`Measurement Unit`'
`Adapter` `createMetamodelTypeAdapter()` Creates a new adapter for an object of class '`Metamodel Type`'
`Adapter` `createModelFacetAdapter()` Creates a new adapter for an object of class '`Model Facet`'
`Adapter` `createNotationTypeAdapter()` Creates a new adapter for an object of class '`Notation Type`'
`Adapter` `createPackageNamesAdapter()` Creates a new adapter for an object of class '`Package Names`'
`Adapter` `createPaletteAdapter()` Creates a new adapter for an object of class '`Palette`'
`Adapter` `createParentAssignedViewmapAdapter()` Creates a new adapter for an object of class '`Parent Assigned Viewmap`'
`Adapter` `createProviderClassNamesAdapter()` Creates a new adapter for an object of class '`Provider Class Names`'
`Adapter` `createResizeConstraintsAdapter()` Creates a new adapter for an object of class '`Resize Constraints`'
`Adapter` `createSeparatorAdapter()` Creates a new adapter for an object of class '`Separator`'
`Adapter` `createShortcutsAdapter()` Creates a new adapter for an object of class '`Shortcuts`'
`Adapter` `createSnippetViewmapAdapter()` Creates a new adapter for an object of class '`Snippet Viewmap`'
`Adapter` `createSpecializationTypeAdapter()` Creates a new adapter for an object of class '`Specialization Type`'
`Adapter` `createStyleAttributesAdapter()` Creates a new adapter for an object of class '`Style Attributes`'
`Adapter` `createToolEntryAdapter()` Creates a new adapter for an object of class '`Tool Entry`'
`Adapter` `createToolGroupAdapter()` Creates a new adapter for an object of class '`Tool Group`'
`Adapter` `createToolGroupItemAdapter()` Creates a new adapter for an object of class '`Tool Group Item`'
`Adapter` `createTypeLinkModelFacetAdapter()` Creates a new adapter for an object of class '`Type Link Model Facet`'
`Adapter` `createTypeModelFacetAdapter()` Creates a new adapter for an object of class '`Type Model Facet`'
`Adapter` `createValueExpressionAdapter()` Creates a new adapter for an object of class '`Value Expression`'
`Adapter` `createViewmapAdapter()` Creates a new adapter for an object of class '`Viewmap`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GMFGenPackage modelPackage

  The cached model package.

  ** Generated **

### modelSwitch

    protected GMFGenSwitch modelSwitch

  The switch the delegates to the `createXXX` methods.

  ** Generated **

Constructor Detail

### GMFGenAdapterFactory

    public GMFGenAdapterFactory()

  Creates an instance of the adapter factory.

** Generated **

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.
  ** Generated **

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  ** Generated **

### createGenEditorGeneratorAdapter

    public Adapter createGenEditorGeneratorAdapter()

  Creates a new adapter for an object of class '`Gen Editor Generator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenEditorGenerator`
  ** Generated **

### createGenDiagramAdapter

    public Adapter createGenDiagramAdapter()

  Creates a new adapter for an object of class '`Gen Diagram`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDiagram`
  ** Generated **

### createGenEditorViewAdapter

    public Adapter createGenEditorViewAdapter()

  Creates a new adapter for an object of class '`Gen Editor View`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenEditorView`
  ** Generated **

### createBatchValidationAdapter

    public Adapter createBatchValidationAdapter()

  Creates a new adapter for an object of class '`Batch Validation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BatchValidation`
  ** Generated **

### createProviderClassNamesAdapter

    public Adapter createProviderClassNamesAdapter()

  Creates a new adapter for an object of class '`Provider Class Names`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ProviderClassNames`
  ** Generated **

### createShortcutsAdapter

    public Adapter createShortcutsAdapter()

  Creates a new adapter for an object of class '`Shortcuts`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Shortcuts`
  ** Generated **

### createPackageNamesAdapter

    public Adapter createPackageNamesAdapter()

  Creates a new adapter for an object of class '`Package Names`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PackageNames`
  ** Generated **

### createLinkConstraintsAdapter

    public Adapter createLinkConstraintsAdapter()

  Creates a new adapter for an object of class '`Link Constraints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LinkConstraints`
  ** Generated **

### createEditorCandiesAdapter

    public Adapter createEditorCandiesAdapter()

  Creates a new adapter for an object of class '`Editor Candies`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EditorCandies`
  ** Generated **

### createEditPartCandiesAdapter

    public Adapter createEditPartCandiesAdapter()

  Creates a new adapter for an object of class '`Edit Part Candies`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EditPartCandies`
  ** Generated **

### createMeasurementUnitAdapter

    public Adapter createMeasurementUnitAdapter()

  Creates a new adapter for an object of class '`Measurement Unit`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MeasurementUnit`
  ** Generated **

### createGenPluginAdapter

    public Adapter createGenPluginAdapter()

  Creates a new adapter for an object of class '`Gen Plugin`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenPlugin`
  ** Generated **

### createElementTypeAdapter

    public Adapter createElementTypeAdapter()

  Creates a new adapter for an object of class '`Element Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ElementType`
  ** Generated **

### createMetamodelTypeAdapter

    public Adapter createMetamodelTypeAdapter()

  Creates a new adapter for an object of class '`Metamodel Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MetamodelType`
  ** Generated **

### createSpecializationTypeAdapter

    public Adapter createSpecializationTypeAdapter()

  Creates a new adapter for an object of class '`Specialization Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SpecializationType`
  ** Generated **

### createNotationTypeAdapter

    public Adapter createNotationTypeAdapter()

  Creates a new adapter for an object of class '`Notation Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NotationType`
  ** Generated **

### createGenCommonBaseAdapter

    public Adapter createGenCommonBaseAdapter()

  Creates a new adapter for an object of class '`Gen Common Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenCommonBase`
  ** Generated **

### createGenContainerBaseAdapter

    public Adapter createGenContainerBaseAdapter()

  Creates a new adapter for an object of class '`Gen Container Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenContainerBase`
  ** Generated **

### createGenNodeAdapter

    public Adapter createGenNodeAdapter()

  Creates a new adapter for an object of class '`Gen Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenNode`
  ** Generated **

### createGenTopLevelNodeAdapter

    public Adapter createGenTopLevelNodeAdapter()

  Creates a new adapter for an object of class '`Gen Top Level Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenTopLevelNode`
  ** Generated **

### createGenChildNodeAdapter

    public Adapter createGenChildNodeAdapter()

  Creates a new adapter for an object of class '`Gen Child Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenChildNode`
  ** Generated **

### createGenChildLabelNodeAdapter

    public Adapter createGenChildLabelNodeAdapter()

  Creates a new adapter for an object of class '`Gen Child Label Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenChildLabelNode`
  ** Generated **

### createGenCompartmentAdapter

    public Adapter createGenCompartmentAdapter()

  Creates a new adapter for an object of class '`Gen Compartment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenCompartment`
  ** Generated **

### createGenChildContainerAdapter

    public Adapter createGenChildContainerAdapter()

  Creates a new adapter for an object of class '`Gen Child Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenChildContainer`
  ** Generated **

### createGenLinkAdapter

    public Adapter createGenLinkAdapter()

  Creates a new adapter for an object of class '`Gen Link`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenLink`
  ** Generated **

### createGenLabelAdapter

    public Adapter createGenLabelAdapter()

  Creates a new adapter for an object of class '`Gen Label`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenLabel`
  ** Generated **

### createGenNodeLabelAdapter

    public Adapter createGenNodeLabelAdapter()

  Creates a new adapter for an object of class '`Gen Node Label`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenNodeLabel`
  ** Generated **

### createGenExternalNodeLabelAdapter

    public Adapter createGenExternalNodeLabelAdapter()

  Creates a new adapter for an object of class '`Gen External Node Label`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenExternalNodeLabel`
  ** Generated **

### createGenLinkLabelAdapter

    public Adapter createGenLinkLabelAdapter()

  Creates a new adapter for an object of class '`Gen Link Label`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenLinkLabel`
  ** Generated **

### createModelFacetAdapter

    public Adapter createModelFacetAdapter()

  Creates a new adapter for an object of class '`Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ModelFacet`
  ** Generated **

### createLinkModelFacetAdapter

    public Adapter createLinkModelFacetAdapter()

  Creates a new adapter for an object of class '`Link Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LinkModelFacet`
  ** Generated **

### createLabelModelFacetAdapter

    public Adapter createLabelModelFacetAdapter()

  Creates a new adapter for an object of class '`Label Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LabelModelFacet`
  ** Generated **

### createTypeModelFacetAdapter

    public Adapter createTypeModelFacetAdapter()

  Creates a new adapter for an object of class '`Type Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeModelFacet`
  ** Generated **

### createFeatureModelFacetAdapter

    public Adapter createFeatureModelFacetAdapter()

  Creates a new adapter for an object of class '`Feature Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureModelFacet`
  ** Generated **

### createFeatureLabelModelFacetAdapter

    public Adapter createFeatureLabelModelFacetAdapter()

  Creates a new adapter for an object of class '`Feature Label Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureLabelModelFacet`
  ** Generated **

### createCompositeFeatureModelFacetAdapter

    public Adapter createCompositeFeatureModelFacetAdapter()

  Creates a new adapter for an object of class '`Composite Feature Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CompositeFeatureModelFacet`
  ** Generated **

### createCompositeFeatureLabelModelFacetAdapter

    public Adapter createCompositeFeatureLabelModelFacetAdapter()

  Creates a new adapter for an object of class '`Composite Feature Label Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CompositeFeatureLabelModelFacet`
  ** Generated **

### createDesignLabelModelFacetAdapter

    public Adapter createDesignLabelModelFacetAdapter()

  Creates a new adapter for an object of class '`Design Label Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DesignLabelModelFacet`
  ** Generated **

### createTypeLinkModelFacetAdapter

    public Adapter createTypeLinkModelFacetAdapter()

  Creates a new adapter for an object of class '`Type Link Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypeLinkModelFacet`
  ** Generated **

### createFeatureLinkModelFacetAdapter

    public Adapter createFeatureLinkModelFacetAdapter()

  Creates a new adapter for an object of class '`Feature Link Model Facet`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureLinkModelFacet`
  ** Generated **

### createViewmapAdapter

    public Adapter createViewmapAdapter()

  Creates a new adapter for an object of class '`Viewmap`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Viewmap`
  ** Generated **

### createAttributesAdapter

    public Adapter createAttributesAdapter()

  Creates a new adapter for an object of class '`Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Attributes`
  ** Generated **

### createColorAttributesAdapter

    public Adapter createColorAttributesAdapter()

  Creates a new adapter for an object of class '`Color Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ColorAttributes`
  ** Generated **

### createStyleAttributesAdapter

    public Adapter createStyleAttributesAdapter()

  Creates a new adapter for an object of class '`Style Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StyleAttributes`
  ** Generated **

### createResizeConstraintsAdapter

    public Adapter createResizeConstraintsAdapter()

  Creates a new adapter for an object of class '`Resize Constraints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ResizeConstraints`
  ** Generated **

### createDefaultSizeAttributesAdapter

    public Adapter createDefaultSizeAttributesAdapter()

  Creates a new adapter for an object of class '`Default Size Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DefaultSizeAttributes`
  ** Generated **

### createLabelOffsetAttributesAdapter

    public Adapter createLabelOffsetAttributesAdapter()

  Creates a new adapter for an object of class '`Label Offset Attributes`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LabelOffsetAttributes`
  ** Generated **

### createFigureViewmapAdapter

    public Adapter createFigureViewmapAdapter()

  Creates a new adapter for an object of class '`Figure Viewmap`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FigureViewmap`
  ** Generated **

### createSnippetViewmapAdapter

    public Adapter createSnippetViewmapAdapter()

  Creates a new adapter for an object of class '`Snippet Viewmap`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SnippetViewmap`
  ** Generated **

### createInnerClassViewmapAdapter

    public Adapter createInnerClassViewmapAdapter()

  Creates a new adapter for an object of class '`Inner Class Viewmap`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InnerClassViewmap`
  ** Generated **

### createParentAssignedViewmapAdapter

    public Adapter createParentAssignedViewmapAdapter()

  Creates a new adapter for an object of class '`Parent Assigned Viewmap`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ParentAssignedViewmap`
  ** Generated **

### createPaletteAdapter

    public Adapter createPaletteAdapter()

  Creates a new adapter for an object of class '`Palette`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Palette`
  ** Generated **

### createEntryBaseAdapter

    public Adapter createEntryBaseAdapter()

  Creates a new adapter for an object of class '`Entry Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EntryBase`
  ** Generated **

### createToolEntryAdapter

    public Adapter createToolEntryAdapter()

  Creates a new adapter for an object of class '`Tool Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ToolEntry`
  ** Generated **

### createToolGroupItemAdapter

    public Adapter createToolGroupItemAdapter()

  Creates a new adapter for an object of class '`Tool Group Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ToolGroupItem`
  ** Generated **

### createSeparatorAdapter

    public Adapter createSeparatorAdapter()

  Creates a new adapter for an object of class '`Separator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Separator`
  ** Generated **

### createToolGroupAdapter

    public Adapter createToolGroupAdapter()

  Creates a new adapter for an object of class '`Tool Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ToolGroup`
  ** Generated **

### createGenElementInitializerAdapter

    public Adapter createGenElementInitializerAdapter()

  Creates a new adapter for an object of class '`Gen Element Initializer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenElementInitializer`
  ** Generated **

### createGenFeatureSeqInitializerAdapter

    public Adapter createGenFeatureSeqInitializerAdapter()

  Creates a new adapter for an object of class '`Gen Feature Seq Initializer`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenFeatureSeqInitializer`
  ** Generated **

### createGenFeatureValueSpecAdapter

    public Adapter createGenFeatureValueSpecAdapter()

  Creates a new adapter for an object of class '`Gen Feature Value Spec`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenFeatureValueSpec`
  ** Generated **

### createGenLinkConstraintsAdapter

    public Adapter createGenLinkConstraintsAdapter()

  Creates a new adapter for an object of class '`Gen Link Constraints`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenLinkConstraints`
  ** Generated **

### createGenRuleContainerBaseAdapter

    public Adapter createGenRuleContainerBaseAdapter()

  Creates a new adapter for an object of class '`Gen Rule Container Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenRuleContainerBase`
  ** Generated **

### createGenAuditContainerAdapter

    public Adapter createGenAuditContainerAdapter()

  Creates a new adapter for an object of class '`Gen Audit Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenAuditContainer`
  ** Generated **

### createGenAuditRuleAdapter

    public Adapter createGenAuditRuleAdapter()

  Creates a new adapter for an object of class '`Gen Audit Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenAuditRule`
  ** Generated **

### createGenRuleTargetAdapter

    public Adapter createGenRuleTargetAdapter()

  Creates a new adapter for an object of class '`Gen Rule Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenRuleTarget`
  ** Generated **

### createGenDomainElementTargetAdapter

    public Adapter createGenDomainElementTargetAdapter()

  Creates a new adapter for an object of class '`Gen Domain Element Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDomainElementTarget`
  ** Generated **

### createGenDiagramElementTargetAdapter

    public Adapter createGenDiagramElementTargetAdapter()

  Creates a new adapter for an object of class '`Gen Diagram Element Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDiagramElementTarget`
  ** Generated **

### createGenDomainAttributeTargetAdapter

    public Adapter createGenDomainAttributeTargetAdapter()

  Creates a new adapter for an object of class '`Gen Domain Attribute Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDomainAttributeTarget`
  ** Generated **

### createGenNotationElementTargetAdapter

    public Adapter createGenNotationElementTargetAdapter()

  Creates a new adapter for an object of class '`Gen Notation Element Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenNotationElementTarget`
  ** Generated **

### createGenMetricContainerAdapter

    public Adapter createGenMetricContainerAdapter()

  Creates a new adapter for an object of class '`Gen Metric Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenMetricContainer`
  ** Generated **

### createGenMetricRuleAdapter

    public Adapter createGenMetricRuleAdapter()

  Creates a new adapter for an object of class '`Gen Metric Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenMetricRule`
  ** Generated **

### createGenAuditedMetricTargetAdapter

    public Adapter createGenAuditedMetricTargetAdapter()

  Creates a new adapter for an object of class '`Gen Audited Metric Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenAuditedMetricTarget`
  ** Generated **

### createGenAuditableAdapter

    public Adapter createGenAuditableAdapter()

  Creates a new adapter for an object of class '`Gen Auditable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenAuditable`
  ** Generated **

### createGenMeasurableAdapter

    public Adapter createGenMeasurableAdapter()

  Creates a new adapter for an object of class '`Gen Measurable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenMeasurable`
  ** Generated **

### createGenExpressionProviderContainerAdapter

    public Adapter createGenExpressionProviderContainerAdapter()

  Creates a new adapter for an object of class '`Gen Expression Provider Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenExpressionProviderContainer`
  ** Generated **

### createGenExpressionProviderBaseAdapter

    public Adapter createGenExpressionProviderBaseAdapter()

  Creates a new adapter for an object of class '`Gen Expression Provider Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenExpressionProviderBase`
  ** Generated **

### createGenJavaExpressionProviderAdapter

    public Adapter createGenJavaExpressionProviderAdapter()

  Creates a new adapter for an object of class '`Gen Java Expression Provider`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenJavaExpressionProvider`
  ** Generated **

### createGenExpressionInterpreterAdapter

    public Adapter createGenExpressionInterpreterAdapter()

  Creates a new adapter for an object of class '`Gen Expression Interpreter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenExpressionInterpreter`
  ** Generated **

### createGenRuleBaseAdapter

    public Adapter createGenRuleBaseAdapter()

  Creates a new adapter for an object of class '`Gen Rule Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenRuleBase`
  ** Generated **

### createValueExpressionAdapter

    public Adapter createValueExpressionAdapter()

  Creates a new adapter for an object of class '`Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpression`
  ** Generated **

### createGenConstraintAdapter

    public Adapter createGenConstraintAdapter()

  Creates a new adapter for an object of class '`Gen Constraint`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenConstraint`
  ** Generated **

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.